#!/usr/bin/php
<?php
$time_start = microtime(true);

// Directory of phptimeseries feeds, see: settings.php
$dir = "/home/pi/jb_csv_wip/";	// JB version + must end with '/'
$outputDir = "/home/pi/jb_csv_wip/";			// JB version + must end with '/'

// Feed id to read:
if ($argc > 1) {
	$feedid = $argv[1];
} else { exit("\nNo argument - need feed number\n\n"); }

$feedDB = $dir. "feed_" .$feedid. ".MYD";
$csv_file = $outputDir. "feed_" .$feedid. " .csv";

if (!file_exists($feedDB)) { exit("\nThe file $feedDB does not exist\n\n"); }

//----------------------------------------------------
$fh = fopen($feedDB, 'rb');
$fp = fopen($csv_file, 'w');

$filesize = filesize($dir."feed_$feedid.MYD");
$npoints = floor($filesize / 9.0);


for ($i=0; $i<$npoints; $i++)
{
    // Read next datapoint
    $d = fread($fh,9);
    // Itime = unsigned integer (I) assign to 'time'
    // fvalue = float (f) assign to 'value'
    $array = unpack("x/Itime/fvalue",$d);
    fputcsv($fp, $array);

    //$time = $array['time'];
    //$value = $array['value'];
    //print $i."\t".bin2hex($d)."\t".$time."\t".$value."\n";
}

fclose($fh);
fclose($fp);

print "feedDB: " .$feedDB."\n";
print "csv_file: " .$csv_file."\n";
print "filesize: " .$filesize."\n";
print "npoints: " .$npoints."\n\n";

$time_end = microtime(true);
$time = $time_end - $time_start;
echo "Ran in $time seconds\n";

?>